Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/AnalyticalPTSP.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/AnalyticalPTSP.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/AnalyticalPTSP.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private AnalyticalProbabilisticTravelingSalesmanProblem(bool deserializing) : base(deserializing) { }
+    private AnalyticalProbabilisticTravelingSalesmanProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private AnalyticalProbabilisticTravelingSalesmanProblem(AnalyticalProbabilisticTravelingSalesmanProblem original, Cloner cloner) : base(original, cloner) { }
     public AnalyticalProbabilisticTravelingSalesmanProblem() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Analyzers/BestPTSPSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Analyzers/BestPTSPSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Analyzers/BestPTSPSolutionAnalyzer.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    private BestPTSPSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    private BestPTSPSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private BestPTSPSolutionAnalyzer(BestPTSPSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/AttDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/AttDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/AttDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private AttDistance(bool deserializing) : base(deserializing) { }
+    private AttDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private AttDistance(AttDistance original, Cloner cloner) : base(original, cloner) { }
     public AttDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/DistanceCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/DistanceCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/DistanceCalculator.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public abstract class DistanceCalculator : Item {
     [StorableConstructor]
-    protected DistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected DistanceCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DistanceCalculator(DistanceCalculator original, Cloner cloner) : base(original, cloner) { }
     protected DistanceCalculator() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/EuclideanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/EuclideanDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/EuclideanDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private EuclideanDistance(bool deserializing) : base(deserializing) { }
+    private EuclideanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private EuclideanDistance(EuclideanDistance original, Cloner cloner) : base(original, cloner) { }
     public EuclideanDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/GeoDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/GeoDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/GeoDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private GeoDistance(bool deserializing) : base(deserializing) { }
+    private GeoDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GeoDistance(GeoDistance original, Cloner cloner) : base(original, cloner) { }
     public GeoDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/ManhattanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/ManhattanDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/ManhattanDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private ManhattanDistance(bool deserializing) : base(deserializing) { }
+    private ManhattanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ManhattanDistance(ManhattanDistance original, Cloner cloner) : base(original, cloner) { }
     public ManhattanDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/MaximumDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/MaximumDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/MaximumDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private MaximumDistance(bool deserializing) : base(deserializing) { }
+    private MaximumDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MaximumDistance(MaximumDistance original, Cloner cloner) : base(original, cloner) { }
     public MaximumDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/RoundedEuclideanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/RoundedEuclideanDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/RoundedEuclideanDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private RoundedEuclideanDistance(bool deserializing) : base(deserializing) { }
+    private RoundedEuclideanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RoundedEuclideanDistance(RoundedEuclideanDistance original, Cloner cloner) : base(original, cloner) { }
     public RoundedEuclideanDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/UpperEuclideanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/UpperEuclideanDistance.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceCalculators/UpperEuclideanDistance.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private UpperEuclideanDistance(bool deserializing) : base(deserializing) { }
+    private UpperEuclideanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     private UpperEuclideanDistance(UpperEuclideanDistance original, Cloner cloner) : base(original, cloner) { }
     public UpperEuclideanDistance() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceMatrix.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceMatrix.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/DistanceMatrix.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public sealed class DistanceMatrix : DoubleMatrix {
     [StorableConstructor]
-    private DistanceMatrix(bool deserializing) : base(deserializing) { }
+    private DistanceMatrix(StorableConstructorFlag deserializing) : base(deserializing) { }
     public DistanceMatrix() : base() { }
     public DistanceMatrix(int rows, int columns) : base(rows, columns) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/EstimatedPTSP.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/EstimatedPTSP.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/EstimatedPTSP.cs	(revision 15018)
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    private EstimatedProbabilisticTravelingSalesmanProblem(bool deserializing) : base(deserializing) { }
+    private EstimatedProbabilisticTravelingSalesmanProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private EstimatedProbabilisticTravelingSalesmanProblem(EstimatedProbabilisticTravelingSalesmanProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInsertionLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInsertionLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInsertionLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPAnalyticalInsertionLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPAnalyticalInsertionLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPAnalyticalInsertionLocalImprovement(PTSPAnalyticalInsertionLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalInsertionLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInversionLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInversionLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalInversionLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPAnalyticalInversionLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPAnalyticalInversionLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPAnalyticalInversionLocalImprovement(PTSPAnalyticalInversionLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalInversionLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalTwoPointFiveLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalTwoPointFiveLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPAnalyticalTwoPointFiveLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPAnalyticalTwoPointFiveLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPAnalyticalTwoPointFiveLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPAnalyticalTwoPointFiveLocalImprovement(PTSPAnalyticalTwoPointFiveLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalTwoPointFiveLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInsertionLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInsertionLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInsertionLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPEstimatedInsertionLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPEstimatedInsertionLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPEstimatedInsertionLocalImprovement(PTSPEstimatedInsertionLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedInsertionLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInversionLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInversionLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedInversionLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPEstimatedInversionLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPEstimatedInversionLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPEstimatedInversionLocalImprovement(PTSPEstimatedInversionLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedInversionLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedTwoPointFiveLocalImprovement.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedTwoPointFiveLocalImprovement.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Improvers/PTSPEstimatedTwoPointFiveLocalImprovement.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private PTSPEstimatedTwoPointFiveLocalImprovement(bool deserializing) : base(deserializing) { }
+    private PTSPEstimatedTwoPointFiveLocalImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PTSPEstimatedTwoPointFiveLocalImprovement(PTSPEstimatedTwoPointFiveLocalImprovement original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedTwoPointFiveLocalImprovement()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/AnalyticalPTSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/AnalyticalPTSPMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/AnalyticalPTSPMoveEvaluator.cs	(revision 15018)
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected AnalyticalPTSPMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected AnalyticalPTSPMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected AnalyticalPTSPMoveEvaluator(AnalyticalPTSPMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected AnalyticalPTSPMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/EstimatedPTSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/EstimatedPTSPMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/EstimatedPTSPMoveEvaluator.cs	(revision 15018)
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected EstimatedPTSPMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected EstimatedPTSPMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EstimatedPTSPMoveEvaluator(EstimatedPTSPMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected EstimatedPTSPMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPAnalyticalInsertionMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPAnalyticalInsertionMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPAnalyticalInsertionMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPAnalyticalInsertionMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPAnalyticalInsertionMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPAnalyticalInsertionMoveEvaluator(PTSPAnalyticalInsertionMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalInsertionMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPEstimatedInsertionMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPEstimatedInsertionMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/OneShift/PTSPEstimatedInsertionMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPEstimatedInsertionMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPEstimatedInsertionMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPEstimatedInsertionMoveEvaluator(PTSPEstimatedInsertionMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedInsertionMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPAnalyticalInversionMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPAnalyticalInversionMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPAnalyticalInversionMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPAnalyticalInversionMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPAnalyticalInversionMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPAnalyticalInversionMoveEvaluator(PTSPAnalyticalInversionMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalInversionMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPEstimatedInversionMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPEstimatedInversionMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoOpt/PTSPEstimatedInversionMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPEstimatedInversionMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPEstimatedInversionMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPEstimatedInversionMoveEvaluator(PTSPEstimatedInversionMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedInversionMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/ExhaustiveTwoPointFiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/ExhaustiveTwoPointFiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/ExhaustiveTwoPointFiveMoveGenerator.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    private ExhaustiveTwoPointFiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private ExhaustiveTwoPointFiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ExhaustiveTwoPointFiveMoveGenerator(ExhaustiveTwoPointFiveMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveTwoPointFiveMoveGenerator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPAnalyticalTwoPointFiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPAnalyticalTwoPointFiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPAnalyticalTwoPointFiveMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPAnalyticalTwoPointFiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPAnalyticalTwoPointFiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPAnalyticalTwoPointFiveMoveEvaluator(PTSPAnalyticalTwoPointFiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPAnalyticalTwoPointFiveMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPEstimatedTwoPointFiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPEstimatedTwoPointFiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/PTSPEstimatedTwoPointFiveMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected PTSPEstimatedTwoPointFiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PTSPEstimatedTwoPointFiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PTSPEstimatedTwoPointFiveMoveEvaluator(PTSPEstimatedTwoPointFiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public PTSPEstimatedTwoPointFiveMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveMultiMoveGenerator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private StochasticTwoPointFiveMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private StochasticTwoPointFiveMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private StochasticTwoPointFiveMultiMoveGenerator(StochasticTwoPointFiveMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticTwoPointFiveMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/StochasticTwoPointFiveSingleMoveGenerator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private StochasticTwoPointFiveSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private StochasticTwoPointFiveSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private StochasticTwoPointFiveSingleMoveGenerator(StochasticTwoPointFiveSingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticTwoPointFiveSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMove.cs	(revision 15018)
@@ -40,5 +40,5 @@
     [StorableConstructor]
     public TwoPointFiveMove() : this(-1, -1, null, true) { }
-    private TwoPointFiveMove(bool deserializing) : base(deserializing) { }
+    private TwoPointFiveMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TwoPointFiveMove(TwoPointFiveMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveGenerator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected TwoPointFiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected TwoPointFiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TwoPointFiveMoveGenerator(TwoPointFiveMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     protected TwoPointFiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Moves/TwoPointFiveOpt/TwoPointFiveMoveMaker.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected TwoPointFiveMoveMaker(bool deserializing) : base(deserializing) { }
+    protected TwoPointFiveMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TwoPointFiveMoveMaker(TwoPointFiveMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public TwoPointFiveMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PTSP.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PTSP.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PTSP.cs	(revision 15018)
@@ -94,5 +94,5 @@
 
     [StorableConstructor]
-    protected ProbabilisticTravelingSalesmanProblem(bool deserializing) : base(deserializing) { }
+    protected ProbabilisticTravelingSalesmanProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ProbabilisticTravelingSalesmanProblem(ProbabilisticTravelingSalesmanProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PathPTSPTour.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PathPTSPTour.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/PathPTSPTour.cs	(revision 15018)
@@ -93,5 +93,5 @@
 
     [StorableConstructor]
-    private PathPTSPTour(bool deserializing) : base(deserializing) { }
+    private PathPTSPTour(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PathPTSPTour(PathPTSPTour original, Cloner cloner)
       : base(original, cloner) {
